Description: fix build failure with gcc 14.
 The type specified doesn't fit in yp_order's third argument without
 implicit casting.  This is fatal starting with gcc 14, so let's declare
 the variable with the expected size right away.

Author: Étienne Mollier <emollier@debian.org>
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1075193
Forwarded: no
Last-Update: 2024-07-21
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- libnet-nis-perl.orig/NIS.xs
+++ libnet-nis-perl/NIS.xs
@@ -443,7 +443,7 @@
   char *	map
   PPCODE:
   {
-    unsigned long	order;
+    unsigned int	order;
 
     yp_status = yp_order(domain, map, &order);
     YP_RETURN(newSViv(order));
